Summary: The basic directory layout for a Linux system.
Name: filesystem
Version: 2.2.1
Release: b2
Copyright: Public Domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: setup >= 2.5.4-1
#Source0: %{name}-%{version}.tar.gz
#BuildArchitectures: noarch
BuildArchitectures: i586

%description
The filesystem package is one of the basic packages that is installed
on a Berry Linux system. Filesystem contains the basic directory
layout for a Linux operating system, including the correct permissions
for the directories.

%prep

%install
rm -rf %{buildroot}
mkdir %{buildroot}

cd %{buildroot}
#tar xzf %{SOURCE0}
#mkdir -p %{buildroot}/mnt/{floppy,cdrom}
mkdir -p mnt/{floppy,cdrom} \
	bin boot \
	etc/{X11/{applnk,sysconfig,serverconfig,starthere},opt,xinetd.d,skel,sysconfig} \
	home initrd lib/modules %{_lib} mnt opt proc root sbin tmp \
	usr/{bin,dict,etc,games,include,%{_lib}/{games,gcc-lib},lib/{games,gcc-lib},libexec,local/{bin,etc,games,lib,%{_lib},sbin,src,share/{man/man{1,2,3,4,5,6,7,8,9,n},info},libexec,include,},sbin,share/{applications,doc,info,man/man{1,2,3,4,5,6,7,8,9,n},doc,misc,empty,pixmaps},src,X11R6/{bin,include,lib,%{_lib},man,share}} \
        var/{lib/{games,misc},local,lock/subsys,log,nis,preserve,run,spool/{mail,lpd},tmp,db,cache,opt,games,yp}

ln -snf  ../X11R6/bin usr/bin/X11
ln -snf  ../X11R6/lib/X11 usr/lib/X11
ln -snf ../X11R6/%{_lib}/X11 usr/%{_lib}/X11
ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
/bin
/boot
/etc
/home
/initrd
/lib
%ifarch x86_64 ppc ppc64 sparc sparc64 s390 s390x
/%{_lib}
%endif
%dir /mnt
%ghost %config(missingok) %verify(not size md5 mode user link rdev group mtime) /mnt/cdrom
%ghost %config(missingok) %verify(not size md5 mode user link rdev group mtime) /mnt/floppy
%dir /opt
%attr(555,root,root) /proc
%attr(750,root,root) /root
/sbin
%attr(1777,root,root) /tmp
%dir /usr
/usr/[^s]*
/usr/sbin
%dir /usr/share
/usr/share/applications
/usr/share/doc
%attr(555,root,root) %dir /usr/share/empty
/usr/share/info
/usr/share/man
/usr/share/misc
/usr/share/pixmaps
/usr/src
%dir /var
/var/db
/var/lib
/var/local
%dir %attr(0775,root,lock) /var/lock
%attr(755,root,root) /var/lock/subsys
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(755,root,root) /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp

%changelog
* Mon Apr 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Linux 9.0
- filesystem-2.2.1-3.src.rpm
* Tue Mar 4 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- create for berry linux
- from Red Hat Linux 8.0
- filesystem-2.1.6-5.src.rpm
